#
# A Python implementation of grep. 
# It works independent of case.
#
# author: David Mathias
#

import os

def grep(target):
    for f in [e for e in os.listdir('datafiles') if '.DS' not in e]:
        fn = open('datafiles/'+f, 'r', encoding='utf8')
        lines = fn.read().splitlines()
        fn.close()
        for i, line in enumerate(lines):
            if target.lower() in line.lower():
                print(f + ': ' + str(i) + ': ' + line)
    print


def main():
    target = input("grep for: ").splitlines()[0]
    grep(target)
    

if __name__ == '__main__':
    main()
